JAVAHELPER(1)

NAME
Javahelper - Part of the Java Helper packaging tools Refer to the tutorials in /usr/share/doc/javahelper for more detail

SYNOPSIS
jh_build [options] [<jar> <src>]

OPTIONS

-h --help: show this text

-V --version: show the version

-m<class> --main=<class>: Use this class as the main class

-j<java-home> --java-home=<java-home>: Set the JAVA_HOME variable

-o<javac-opts> --javacopts=<javac-opts>: Options to the Java compiler

-J --javadoc: Build javadoc

-N --no-javadoc: Don't build javadoc

--javadoc-opts=<javadocc-opts>: Options to the Javadoc compiler

--clean: clean the build tree

  Environment Variables:

    JAVA_HOME: path to the JDK to use CLASSPATH: classpath to compile with and set in the manifest JH_JAR_EXTRA: extra files to be included in the jar